MacDraftParserInternal Namespace Reference

Internal: the structures of a MacDraftParser. More...

## Classes
struct | BitmapFileData
| low level: bitmap file position in a MacDraft file More...
struct | Shape
| generic class used to store shape in MWAWDraftParser More...
struct | State
| Internal: the state of a MacDraftParser. More...
class | SubDocument
| Internal: the subdocument of a MacDraftParser. More...

## Variables
constexpr int | MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when reading or sending nested groups

## Detailed Description

Internal: the structures of a MacDraftParser.

## Variable Documentation

## ◆ MAX_RECORD_NESTING

int MacDraftParserInternal::MAX_RECORD_NESTING = 1 << 10
| constexpr

the maximum recursion depth when reading or sending nested groups

Referenced by MacDraftParser::readObject(), and MacDraftParser::send().